Last Comment Bug 565141 - Update addons.mozilla.org on 5/13
: Update addons.mozilla.org on 5/13
Status: VERIFIED FIXED
05/13/2010 @ 4pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
https://addons.mozilla.org/en-US/fire...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 13:25 PDT by Wil Clouser [:clouserw]
Modified: 2013-10-09 10:29 PDT (History)
7 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Wil Clouser [:clouserw] 2010-05-11 13:25:46 PDT
This is advanced notice that we'll be updating AMO on Thursday.  This is another fairly minor push but it will have special instructions so this is just a place holder for now.  Thanks.
Comment 1 matthew zeier [:mrz] 2010-05-11 15:57:46 PDT
Assuming 4pm, correct if I'm wrong.  Plan for an hour?
Comment 2 Wil Clouser [:clouserw] 2010-05-11 16:02:13 PDT
Sounds great
Comment 3 Jeff Balogh (:jbalogh) 2010-05-13 14:04:43 PDT
next is up to date now.  Here's the steps:

1. git fetch && git checkout -f next
2. git ls-files -o media/{css,js} | xargs rm
3. ./manage.py compress_assets
4. schematic migrations

Thanks!
Comment 4 Jeremy Orem [:oremj] 2010-05-13 16:07:57 PDT
(zamboni)[root@mradm02 zamboni]# git branch
  5.8.1
  5.8.3
  master
* next
(zamboni)[root@mradm02 zamboni]# git pull
remote: Counting objects: 491, done.
remote: Compressing objects: 100% (350/350), done.
remote: Total 416 (delta 256), reused 137 (delta 53)
Receiving objects: 100% (416/416), 284.18 KiB, done.
Resolving deltas: 100% (256/256), completed with 64 local objects.
From git://github.com/jbalogh/zamboni
   67e79b9..183f557  master     -> origin/master
   67e79b9..13b02fa  next       -> origin/next
 * [new branch]      remove-slash -> origin/remove-slash
 * [new tag]         5.10.2     -> 5.10.2
Updating 67e79b9..13b02fa
Fast-forward
 .gitignore                                         |    4 +
 .gitmodules                                        |    6 -
 apps/addons/buttons.py                             |    2 +-
 apps/addons/templates/addons/details.html          |    3 +-
 apps/addons/templates/addons/tags_box.html         |    2 +-
 apps/addons/tests/test_views.py                    |    7 +
 apps/amo/__init__.py                               |    2 +-
 apps/amo/middleware.py                             |    6 +-
 apps/amo/tests/test_middleware.py                  |    5 +
 apps/amo/tests/test_redirects.py                   |    5 +
 apps/amo/tests/test_views.py                       |   10 +
 apps/amo/urlresolvers.py                           |    2 +-
 apps/amo/utils.py                                  |   20 +-
 apps/amo/views.py                                  |   19 +-
 apps/api/views.py                                  |  115 +-
 apps/cake/middleware.py                            |   15 +-
 apps/cake/tests.py                                 |    4 -
 apps/discovery/modules.py                          |   38 +-
 .../templates/discovery/modules/collection.html    |    6 +-
 apps/discovery/templates/discovery/pane.html       |   98 +-
 apps/discovery/urls.py                             |    2 +-
 apps/discovery/views.py                            |   40 +-
 apps/files/models.py                               |    2 +-
 apps/files/tests.py                                |    5 +-
 apps/nick/views.py                                 |    6 +-
 apps/search/client.py                              |   11 +-
 apps/search/forms.py                               |    7 +-
 apps/search/helpers.py                             |    3 +
 apps/search/tests.py                               |   10 +-
 apps/search/views.py                               |    4 +-
 apps/stats/models.py                               |   17 +-
 apps/stats/tests/test_db.py                        |   14 +-
 apps/stats/tests/test_generators.py                |    2 +-
 apps/stats/tests/test_models.py                    |   22 +-
 apps/stats/views.py                                |   10 +-
 media/css                                          |    1 -
 media/css/autocomplete.css                         |   49 +
 media/css/developers.css                           | 2092 ++++++++++
 media/css/editors.css                              |  732 ++++
 media/css/ie.css                                   |   88 +
 media/css/ie6.css                                  |   25 +
 media/css/ie7.css                                  |   30 +
 media/css/iepngfix.htc                             |   73 +
 media/css/jquery-lightbox.css                      |  104 +
 media/css/localizers.css                           |   95 +
 media/css/main-mozilla.css                         | 3408 ++++++++++++++++
 media/css/main.css                                 | 4267 ++++++++++++++++++++
 media/css/nojs.css                                 |  106 +
 media/css/zamboni/admin-django.css                 |  639 +++
 media/css/zamboni/admin-mozilla.css                |   36 +
 media/css/zamboni/discovery-pane.css               |   78 +
 media/css/zamboni/jquery-ui/custom-1.7.2.css       |  406 ++
 .../ui-bg_diagonals-thick_90_eeeeee_40x40.png      |  Bin 0 -> 251 bytes
 .../images/ui-bg_flat_15_cd0a0a_40x100.png         |  Bin 0 -> 181 bytes
 .../images/ui-bg_glass_100_e4f1fb_1x400.png        |  Bin 0 -> 119 bytes
 .../images/ui-bg_glass_50_3baae3_1x400.png         |  Bin 0 -> 131 bytes
 .../images/ui-bg_glass_80_d7ebf9_1x400.png         |  Bin 0 -> 124 bytes
 .../ui-bg_highlight-hard_100_f2f5f7_1x100.png      |  Bin 0 -> 103 bytes
 .../ui-bg_highlight-hard_70_000000_1x100.png       |  Bin 0 -> 118 bytes
 .../ui-bg_highlight-soft_100_deedf7_1x100.png      |  Bin 0 -> 104 bytes
 .../ui-bg_highlight-soft_25_ffef8f_1x100.png       |  Bin 0 -> 119 bytes
 .../jquery-ui/images/ui-icons_2694e8_256x240.png   |  Bin 0 -> 4369 bytes
 .../jquery-ui/images/ui-icons_2e83ff_256x240.png   |  Bin 0 -> 4369 bytes
 .../jquery-ui/images/ui-icons_3d80b3_256x240.png   |  Bin 0 -> 4369 bytes
 .../jquery-ui/images/ui-icons_72a7cf_256x240.png   |  Bin 0 -> 4369 bytes
 .../jquery-ui/images/ui-icons_ffffff_256x240.png   |  Bin 0 -> 4369 bytes
 media/css/zamboni/nick.css                         |   24 +
 media/css/zamboni/tabs.css                         |   99 +
 media/css/zamboni/tags.css                         |   40 +
 media/css/zamboni/translations/trans.css           |   53 +
 media/css/zamboni/zamboni.css                      | 1941 +++++++++
 media/js                                           |    1 -
 media/js/amo2009/addons.js                         | 2341 +++++++++++
 media/js/amo2009/amo2009.min.js                    |    1 +
 media/js/amo2009/collections.js                    |  282 ++
 media/js/amo2009/global.js                         |  498 +++
 media/js/amo2009/home.js                           |   25 +
 media/js/get-satisfaction-v2.js                    |  244 ++
 media/js/jquery-ui/jqModal.js                      |   69 +
 media/js/jquery-ui/ui.lightbox.js                  |  446 ++
 media/js/jquery.autocomplete.pack.js               |   13 +
 media/js/jquery.cookie.js                          |   96 +
 media/js/webtrends/webtrends.js                    |  680 ++++
 media/js/zamboni/addon_details.js                  |  102 +
 media/js/zamboni/buttons.js                        |  324 ++
 media/js/zamboni/collections.js                    |  310 ++
 media/js/zamboni/contributions.js                  |    3 +
 media/js/zamboni/discovery.js                      |   14 +
 media/js/zamboni/excanvas.compiled.js              |   35 +
 media/js/zamboni/highcharts.js                     |  114 +
 media/js/zamboni/homepage.js                       |   44 +
 media/js/zamboni/init.js                           |  147 +
 media/js/zamboni/jquery-1.4.2.min.js               |  154 +
 media/js/zamboni/jquery-ui/README                  |    5 +
 media/js/zamboni/jquery-ui/custom-1.7.2.min.js     |   22 +
 media/js/zamboni/jquery.hoverIntent.min.js         |   10 +
 media/js/zamboni/jquery.sparkline.min.js           |   79 +
 media/js/zamboni/jquery.tablesorter.min.js         |    2 +
 media/js/zamboni/localizers.js                     |   38 +
 media/js/zamboni/nick.js                           |    8 +
 media/js/zamboni/personas.js                       |   98 +
 media/js/zamboni/search.js                         |   49 +
 media/js/zamboni/tabs.js                           |  136 +
 media/js/zamboni/tags.js                           |   86 +
 media/js/zamboni/themes.js                         |   23 +
 media/js/zamboni/translations/trans.js             |   93 +
 media/js/zamboni/underscore-min.js                 |   17 +
 migrations/33-collection_star.sql                  |   11 +
 migrations/34-fx-download-sources.sql              |    3 +
 scripts/crontab/preview                            |    2 +
 settings.py                                        |    6 +-
 templates/base.html                                |    2 +-
 urls.py                                            |    6 +-
 113 files changed, 21359 insertions(+), 190 deletions(-)
 delete mode 160000 media/css
 create mode 100644 media/css/autocomplete.css
 create mode 100644 media/css/developers.css
 create mode 100644 media/css/editors.css
 create mode 100644 media/css/ie.css
 create mode 100644 media/css/ie6.css
 create mode 100644 media/css/ie7.css
 create mode 100644 media/css/iepngfix.htc
 create mode 100644 media/css/jquery-lightbox.css
 create mode 100644 media/css/localizers.css
 create mode 100644 media/css/main-mozilla.css
 create mode 100644 media/css/main.css
 create mode 100644 media/css/nojs.css
 create mode 100644 media/css/zamboni/admin-django.css
 create mode 100644 media/css/zamboni/admin-mozilla.css
 create mode 100644 media/css/zamboni/discovery-pane.css
 create mode 100644 media/css/zamboni/jquery-ui/custom-1.7.2.css
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_diagonals-thick_90_eeeeee_40x40.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_flat_15_cd0a0a_40x100.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_glass_100_e4f1fb_1x400.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_glass_50_3baae3_1x400.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_glass_80_d7ebf9_1x400.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_highlight-hard_100_f2f5f7_1x100.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_highlight-hard_70_000000_1x100.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_highlight-soft_100_deedf7_1x100.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-bg_highlight-soft_25_ffef8f_1x100.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-icons_2694e8_256x240.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-icons_2e83ff_256x240.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-icons_3d80b3_256x240.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-icons_72a7cf_256x240.png
 create mode 100644 media/css/zamboni/jquery-ui/images/ui-icons_ffffff_256x240.png
 create mode 100644 media/css/zamboni/nick.css
 create mode 100644 media/css/zamboni/tabs.css
 create mode 100644 media/css/zamboni/tags.css
 create mode 100644 media/css/zamboni/translations/trans.css
 create mode 100644 media/css/zamboni/zamboni.css
 delete mode 160000 media/js
 create mode 100644 media/js/amo2009/addons.js
 create mode 100644 media/js/amo2009/amo2009.min.js
 create mode 100644 media/js/amo2009/collections.js
 create mode 100644 media/js/amo2009/global.js
 create mode 100644 media/js/amo2009/home.js
 create mode 100644 media/js/get-satisfaction-v2.js
 create mode 100644 media/js/jquery-ui/jqModal.js
 create mode 100644 media/js/jquery-ui/ui.lightbox.js
 create mode 100644 media/js/jquery.autocomplete.pack.js
 create mode 100644 media/js/jquery.cookie.js
 create mode 100644 media/js/webtrends/webtrends.js
 create mode 100644 media/js/zamboni/addon_details.js
 create mode 100644 media/js/zamboni/buttons.js
 create mode 100644 media/js/zamboni/collections.js
 create mode 100644 media/js/zamboni/contributions.js
 create mode 100644 media/js/zamboni/discovery.js
 create mode 100755 media/js/zamboni/excanvas.compiled.js
 create mode 100755 media/js/zamboni/highcharts.js
 create mode 100644 media/js/zamboni/homepage.js
 create mode 100644 media/js/zamboni/init.js
 create mode 100644 media/js/zamboni/jquery-1.4.2.min.js
 create mode 100644 media/js/zamboni/jquery-ui/README
 create mode 100644 media/js/zamboni/jquery-ui/custom-1.7.2.min.js
 create mode 100644 media/js/zamboni/jquery.hoverIntent.min.js
 create mode 100644 media/js/zamboni/jquery.sparkline.min.js
 create mode 100644 media/js/zamboni/jquery.tablesorter.min.js
 create mode 100644 media/js/zamboni/localizers.js
 create mode 100644 media/js/zamboni/nick.js
 create mode 100644 media/js/zamboni/personas.js
 create mode 100644 media/js/zamboni/search.js
 create mode 100644 media/js/zamboni/tabs.js
 create mode 100644 media/js/zamboni/tags.js
 create mode 100644 media/js/zamboni/themes.js
 create mode 100644 media/js/zamboni/translations/trans.js
 create mode 100644 media/js/zamboni/underscore-min.js
 create mode 100644 migrations/33-collection_star.sql
 create mode 100644 migrations/34-fx-download-sources.sql

(zamboni)[root@mradm02 zamboni]# git reset --hard origin/next
HEAD is now at 13b02fa get the cheesy hack right

(zamboni)[root@mradm02 zamboni]# git status
# On branch next
# Untracked files:
#   (use "git add <file>..." to include in what will be committed)
#
#	settings_local_mpt.py
nothing added to commit but untracked files present (use "git add" to track)

(zamboni)[root@mradm02 zamboni]# ./manage.py compress_assets
Comment 5 Jeremy Orem [:oremj] 2010-05-13 16:08:33 PDT
Running migration 33:
ALTER TABLE collections_votes
    ADD UNIQUE (collection_id, user_id),
    DROP PRIMARY KEY,
    ADD COLUMN id INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST;

-- Note this was tricky, I hope it turns out well for you.
ALTER TABLE collection_subscriptions
    ADD UNIQUE (collection_id, user_id),
    ADD KEY (`user_id`),
    DROP PRIMARY KEY,
    ADD COLUMN id INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST;

That took 6.73 seconds
################################################## 

Running migration 34:
INSERT INTO download_sources VALUES
(21, 'fxfirstrun', 'full', NOW()),
(22, 'fxwhatsnew', 'full', NOW());

That took 0.01 seconds
##################################################
Comment 6 Jeremy Orem [:oremj] 2010-05-13 16:12:47 PDT
Update is done.
Comment 7 Stephen Donner [:stephend] - PTO; back on 5/28 2010-05-13 20:24:23 PDT
AFAIK, there are no lingering issues that aren't relatively small and already filed, so verified FIXED.  (Looked again at all the QA-verifiable bugs from 10.5.3.)

Note You need to log in before you can comment on or make changes to this bug.